use strict;
use warnings;
use Test::More tests => 5;

use FindBin;
use lib "$FindBin::Bin/../lib";

#BEGIN { use_ok 'Catalyst::Test', 'Opsview::Web' }

use_ok( "Catalyst::Test", "Opsview::Web" );
ok( request('/login')->is_success,    'Request should succeed' );
ok( !request('/rubbish')->is_success, 'Request to /rubbish is rubbish' );

my $res;

$res = request("/admin/host");
ok( $res->is_success, "/admin/host" );
like( $res->content, "/login_form/", "But need login page" );
