#!/usr/bin/perl
# Tests for fresh install testing

use Test::More qw(no_plan);

use FindBin qw($Bin);
use lib "$Bin/lib", "$Bin/../lib", "$Bin/../etc";
use lib "/usr/local/nagios/lib", "/usr/local/nagios/etc", "/usr/local/nagios/t/lib";
use strict;
use Opsview::Test::WWW::Mechanize;

my $uri      = "http://localhost:3000";

my $mech = Opsview::Test::WWW::Mechanize->new;
$mech->login;

$mech->get_ok("/status/hostgroup");

$mech->get_ok("/status/host?hostgroupid=4");

$mech->get_ok("/status/service?host=cisco");

$mech->get_ok("/viewport");
$mech->get_ok("/viewport?style=list&output=ajax");
$mech->get_ok("/viewport?style=cells&output=ajax");
$mech->get_ok("/viewport?style=tagcloud&output=ajax");

$mech->get_ok("/viewport/cisco");
$mech->get_ok("/viewport/cisco?style=group_by_service&output=ajax");
$mech->get_ok("/viewport/cisco?style=group_by_host&output=ajax");
$mech->get_ok("/viewport/cisco?style=errors_and_host_cells&output=ajax");
$mech->get_ok("/viewport/cisco?style=host_summary&output=ajax");

$mech->get_ok("/admin/host");
$mech->get_ok("/admin/host/edit/1");
$mech->get_ok("/admin/servicecheck?rows=5");
$mech->get_ok("/admin/servicecheck/edit/1");
